curl --request GET \
--url https://api.hubapi.com/crm/v3/properties/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
]
}指定されたオブジェクトタイプとHubSpotアカウントの既存の全てのプロパティーを読み取ります。
curl --request GET \
--url https://api.hubapi.com/crm/v3/properties/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
]
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
プロパティーを取得するオブジェクトのタイプ。
アーカイブ済みの結果のみを返すかどうか。
プロパティーをセンシティブ(慎重に扱うべき)レベルに基づいて絞り込みます。許容される値は、highly_sensitive、non_sensitive、sensitiveです。
highly_sensitive, non_sensitive, sensitive 特定の言語でプロパティーを取得するロケールを指定します。
取得する特定のプロパティーのカンマ区切りリスト。
successful operation
表示 子属性